Finalmente NopCommerce 2.3 su Aruba !!!

7 years ago
vi prego aiutatemi, sono 2 settimane che faccio le quattro di mattina.Vorrei installare nopcommerce 1.9 italiano. Allora premetto che ho mssql di aruba con net 4.0 integrated. Se uppo la cartella nopcommerce sul servermi da questo errore:

Server Error in '/' Application.

Configuration Error

Description: An error occurred during the processing of a configuration file required to service this request. Please review the specific error details below and modify your configuration file appropriately.

Parser Error Message: It is an error to use a section registered as allowDefinition='MachineToApplication' beyond application level.  This error can be caused by a virtual directory not being configured as an application in IIS.

Source Error:


Line 34:       </assemblies>
Line 35:     </compilation>
Line 36:     <authentication mode="Forms">
Line 37:       <forms name="NOPCOMMERCE.AUTH" loginUrl="~/login.aspx" protection="All" timeout="43200" path="/" requireSSL="false" slidingExpiration="true" defaultUrl="~/default.aspx" enableCrossAppRedirects="false" />
Line 38:     </authentication>

se invece installo la versione di nopcommerce 1.6 di aruba e poi sostituisco la cartella con quella del 1.9 mi parte l'installazione ma alla fine dell'installazione di dice errore dbo.setting quindi vado negli script modifico la stringa dbo con la mia Mssqlxxx si conclude l'installazione aggiungo la stringa di connesisone in ConnectionStrings.config ma nienete mi da  questo errore:

Invalid object name 'dbo.Nop_Setting'.

Exception Details: System.Data.SqlClient.SqlException: Invalid object name 'dbo.Nop_Setting'.

Source Error:

An unhandled exception was generated during the execution of the current web request. Information regarding the origin and location of the exception can be identified using the exception stack trace below.  eccetera eccetera

come posso fare? perche non mi parte l'installazione se copio la cartella? cos'à che non va il mio server? grazie
7 years ago
Salve,

il worker process sotto cui gira l'applicazione deve esser almeno .NET 2.0 o al più .NET 4, ma serve l'hosting Win2008.
Mi contatti in privato in quanto abbiamo hosting per NOP apposito e supporta anche la v3.